#include <bits/stdc++.h>

using namespace std;

ifstream fi ("dqxau.inp");
ofstream fo ("dqxau.out");

void kt(string s, int i){
  if (i>=1){
    fo<<s[i-1];
    kt(s,i-1);
  }

}

int main(){
 string s;
 while (getline(fi,s)){
    kt(s,s.length());
    s="";
    fo<<endl;
 }
}
